Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security
Class SecurityInterceptor

    java.lang.Object
      org.jboss.seam.intercept.AbstractInterceptor
          org.jboss.seam.security.SecurityInterceptor

All Implemented Interfaces:
  Serializable, OptimizedInterceptor

Direct Known Subclasses:
  WSSecurityInterceptor

    @Interceptor(type=CLIENT,
                 around=AsynchronousInterceptor.class)
    public class SecurityInterceptor

extends AbstractInterceptor
implements Serializable

Provides authorization services for component invocations.

Author:
  Shane Bryzak
See Also:
  Serialized Form

Constructor Summary
`SecurityInterceptor()`

Method Summary
`Object` | `aroundInvoke(InvocationContext invocation)`
`boolean` | `isInterceptorEnabled()` Returns true if this interceptor should be enabled.

Methods inherited from class org.jboss.seam.intercept.AbstractInterceptor
`getComponent, setComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityInterceptor

    public SecurityInterceptor()

Method Detail

### aroundInvoke

    @AroundInvoke
    public Object aroundInvoke(InvocationContext invocation)
                        throws Exception

  Specified by:
    `aroundInvoke` in interface `OptimizedInterceptor`
  Throws:
    `Exception`

### isInterceptorEnabled

    public boolean isInterceptorEnabled()

  Description copied from interface: `OptimizedInterceptor`
  Returns true if this interceptor should be enabled. The component and the annotation will be injected into the interceptor instance before this method is called, and can be used to decide whether the interceptor should be enabled

  Specified by:
    `isInterceptorEnabled` in interface `OptimizedInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.